Subject: [multimob] comments on draft-von-hugo-multimob-agents

From: Behcet Sarikaya <[email-masked]>
Date: Mon, 15 Oct 2007 16:09:51 -0700 (PDT)

Hi Dirk,
  Regarding Reference 9 in your draft, you said:
Corresponding multicast traffic received at the MAA is subsequently 
   forwarded by the MAA back to the MR via the bi-directional tunnel. 
   This MLD-proxy functionality has been described for the HA as MAA in 
   [9].
However, in [9], MLD-proxy functionality is defined for routing multicast traffic inside NEMO in case where MNNs are more than one hop away from MR.

In Fig. 1, you have:
     |      Decision on new MCR (DMA)  |
what is the difference between an AR and a DMA? Is DMA another AR? How is the decision made?

Regards,

Behcet

----- Original Message ----
From: "Von-Hugo, Dirk" <[email-masked]>
To: [email-masked]
Sent: Monday, October 15, 2007 2:20:37 AM
Subject: AW: AW: [multimob] FW: comments on the BOF proposal

<!--

_filtered {font-family:Batang;panose-1:2 3 6 0 0 1 1 1 1 1;}
_filtered {font-family:Tahoma;panose-1:2 11 6 4 3 5 4 4 2 4;}
_filtered {panose-1:2 3 6 0 0 1 1 1 1 1;}
_filtered {margin:70.85pt 70.85pt 2.0cm 70.85pt;}

 _filtered {font-family:Batang;panose-1:2 3 6 0 0 1 1 1 1 1;}
 _filtered {panose-1:2 3 6 0 0 1 1 1 1 1;}
/* Style Definitions */
 p.MsoNormal, li.MsoNormal, div.MsoNormal
	{margin:0cm;margin-bottom:.0001pt;font-size:12.0pt;font-family:"Times New Roman";}
a:link, span.MsoHyperlink
	{color:blue;text-decoration:underline;}
a:visited, span.MsoHyperlinkFollowed
	{color:blue;text-decoration:underline;}
p
	{margin-right:0cm;margin-left:0cm;font-size:12.0pt;font-family:"Times New Roman";}
pre
	{margin:0cm;margin-bottom:.0001pt;font-size:10.0pt;font-family:"Courier New";}
span.emailformatvorlage17
	{font-family:Arial;color:navy;}
span.EmailFormatvorlage20
	{font-family:Arial;color:navy;}
 _filtered {margin:70.85pt 70.85pt 2.0cm 70.85pt;}
div.Section1
	{}
-->

Dear all,

 just to inform you that my already announced draft is now officially available at http://ietfreport.isoc.org/all-ids/draft-von-hugo-multimob-agents-00.txt

Agent-based multicast support for moving networks (NEMO)

Best regards

Dirk

_______________________________________________
multimob mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/multimob

---

From: Christophe Janneteau <[email-masked]>
Date: Tue, 16 Oct 2007 10:24:06 +0200

Hi Behcet,

Just one clarification about the draft listed as reference [9]
(i.e.draft-janneteau-nemo-multicast-mldproxy-00.txt - now expired).

You are right it describes the use of MLD-Proxy functionality inside the
NEMO. But [9] also briefly mentions the possible use of MLD-Proxy on the
HA in situation where the bi-directionnal tunnel between MR and HA needs
to be used to convey multicast traffic (for instance when the local
access router the MR is attached to is not multicast-capable). One key
advantage of using MLD-proxy functionality on the Home Agent is that
this function is "multicast routing protocol" independent; which may
ease its deployment.

Section 4.2 of [9] reads:

   "If the mobile network moves to a foreign link where multicast is
   not supported, MR can still maintain ongoing multicast sessions by
   performing re-subscription to the group, with MLD Report messages,
   through the MR-HA bi-directional tunnel.  Several approaches can be
   envisaged for the multicast support on the HA.  It can be
   configured as a multicast router, or simply as an MLD-proxy.  In
   the later case, the HA would then issue its own MLD Reports towards
   the multicast-enabled Border Router (BR) on the MR's home link."

I suppose Dirk was referring to this function.

Christophe

Behcet Sarikaya wrote:
> However, in [9], MLD-proxy functionality is defined for routing
> multicast traffic inside NEMO in case where MNNs are more than one hop
> away from MR.
> 
> In Fig. 1, you have:
> ------------------------------------------------------------------------
>

---

From: "Von-Hugo, Dirk" <[email-masked]>
Date: Tue, 16 Oct 2007 11:09:18 +0200

Dear Behcet,

you are right that [9] mainly describes the MLD proxying within the NEMO and I should have instead pointed to the draft referenced there as [1] where MLD proxy is introduced (the later RFC 4605 on 'IGMP/MLD-based Multicast Forwarding ('IGMP/MLD Proxying')') but within [9] already the MR tunnel was introduced by saying 

   'If the mobile network moves to a foreign link where multicast is

   configured as a multicast router, or simply as an MLD-proxy.'

Sorry, DMA in Fig. 1 is a typo - it should read more generally MAA for Multicast Anchor Agent (expression DMA for Dynamic Multicast Agent is introduced in draft-zhang-mipshop-multicast-dma-03.txt).

MAA may be a DMA or the HA or a future AR - the decision is made based on criteria as most efficient routing paths or less tree re-construction effort etc.

Kind regards

Dirk 

-----Ursprüngliche Nachricht-----
Von: Behcet Sarikaya [mailto:[email-masked]] 
Gesendet: Dienstag, 16. Oktober 2007 01:10
An: von Hugo, Dirk; [email-masked]
Betreff: [multimob] comments on draft-von-hugo-multimob-agents

Hi Dirk,

In Fig. 1, you have:

Regards,

Behcet

----- Original Message ----
From: "Von-Hugo, Dirk" <[email-masked]>
To: [email-masked]
Sent: Monday, October 15, 2007 2:20:37 AM
Subject: AW: AW: [multimob] FW: comments on the BOF proposal

Dear all,

just to inform you that my already announced draft is now officially available at http://ietfreport.isoc.org/all-ids/draft-von-hugo-multimob-agents-00.txt <http://ietfreport.isoc.org/all-ids/draft-von-hugo-multimob-agents-00.txt> 

Best regards

Dirk

---

From: "Von-Hugo, Dirk" <[email-masked]>
Date: Tue, 16 Oct 2007 11:19:45 +0200

Hi Christophe,
quite right, thanks for your quick clarification! 

regards
Dirk 

Hi Behcet,

Christophe

Behcet Sarikaya wrote:
> just to inform you that my already announced draft is now officially
available at
http://ietfreport.isoc.org/all-ids/draft-von-hugo-multimob-agents-00.txt